/**********************************************************
 *(c) by Knobloch GmbH
 *       Weedgasse 14 
 *       D-55234 Erbes-Bdesheim                                    
 *
 *  Headerdatei:    Msg_00D.h   Headerfile for Robo-Interface C-Compiler
 *                              Section: Messaging
 *                              Typ:     Structures and Constants
 *
 *  Version:        0.01
 *
 *  Revisionen:
 *          0.01:   16.11.2005
 *                  Start
 **********************************************************/


/**** Header Dateien ***************************************/


#ifndef MSG_00_D
    #define MSG_00_D


    #ifndef KE_C_DEFINITIONEN
        #include    "..\TA_Firmware\ke_c.h"
    #endif


    typedef union
    {
        UCHAR   aucMsg[6];

        struct 
        {
            UCHAR   ucHwId;       
            UCHAR   ucSubId;       
            UCHAR   ucB0;
            UCHAR   ucB1;
            UCHAR   ucB2;
            UCHAR   ucB3;
        } B;

        struct 
        {
            UCHAR   ucHwId;       
            UCHAR   ucSubId;       
            UINT    uiMsgId;        
            UINT    uiMsg;
        } W;

        struct 
        {
            UCHAR   ucHwId;       
            UCHAR   ucSubId;       
            ULONG   ulMsg;
        } L;
    } SMESSAGE;


    #define     ANZ_MESSAGE     150     // Size of Messagebuffer


    struct  s_Message
    {
        UCHAR       ucCountMsg;         // Number of messages in the buffer
        UCHAR       ucPInMsg;
        UCHAR       ucPOutMsg;
        SMESSAGE    Msg[ANZ_MESSAGE];
    };



#endif



// End of File
